package com.reptileclient.jlifeapp.entity;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class DyLaikeShopEvaltion {
    private Integer id;

    /**
     * 批次号
     */
    private Integer batchId;

    /**
     * 门店poi_id
     */
    private String shopPoiId;

    /**
     * 加盟商id
     */
    private Integer fraId;

    /**
     * 加盟商名称
     */
    private String fraName;

    /**
     * 门店名
     */
    private String shopName;

    /**
     * 得分
     */
    private BigDecimal score;

    /**
     * 评价数
     */
    private Integer evaCount;

    /**
     * 上月评价数
     */
    private Integer evaLastMonthCount;

    /**
     * 上月好评数
     */
    private Integer evaLastGoods;

    /**
     * 上月差评数
     */
    private Integer evaLastBad;

    /**
     * 抖音侧更新评价时间
     */
    private LocalDateTime evaUpdateTime;

    private LocalDateTime etlTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getBatchId() {
        return batchId;
    }

    public void setBatchId(Integer batchId) {
        this.batchId = batchId;
    }

    public String getShopPoiId() {
        return shopPoiId;
    }

    public void setShopPoiId(String shopPoiId) {
        this.shopPoiId = shopPoiId;
    }

    public Integer getFraId() {
        return fraId;
    }

    public void setFraId(Integer fraId) {
        this.fraId = fraId;
    }

    public String getFraName() {
        return fraName;
    }

    public void setFraName(String fraName) {
        this.fraName = fraName;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public Integer getEvaCount() {
        return evaCount;
    }

    public void setEvaCount(Integer evaCount) {
        this.evaCount = evaCount;
    }

    public Integer getEvaLastMonthCount() {
        return evaLastMonthCount;
    }

    public void setEvaLastMonthCount(Integer evaLastMonthCount) {
        this.evaLastMonthCount = evaLastMonthCount;
    }

    public Integer getEvaLastGoods() {
        return evaLastGoods;
    }

    public void setEvaLastGoods(Integer evaLastGoods) {
        this.evaLastGoods = evaLastGoods;
    }

    public Integer getEvaLastBad() {
        return evaLastBad;
    }

    public void setEvaLastBad(Integer evaLastBad) {
        this.evaLastBad = evaLastBad;
    }

    public LocalDateTime getEvaUpdateTime() {
        return evaUpdateTime;
    }

    public void setEvaUpdateTime(LocalDateTime evaUpdateTime) {
        this.evaUpdateTime = evaUpdateTime;
    }

    public LocalDateTime getEtlTime() {
        return etlTime;
    }

    public void setEtlTime(LocalDateTime etlTime) {
        this.etlTime = etlTime;
    }
}